//********************************************************************
//  TicketMachineGUI.java       Author: John Pagliarulo
//
//  GUI for a ticket machine
//********************************************************************
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TicketMachineGUI
{
   private JFrame frame;
   private TicketMachine machine;

   
   public TicketMachineGUI(TicketMachine machine)
   {
       this.machine = machine;  // connect the gui to the machine
       makeFrame();
   }

   private void makeFrame()
   {
      frame = new JFrame ("Ticket Machine");
      frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);

      frame.getContentPane().add(new TicketMachinePanel(machine));
      frame.pack();
      frame.setVisible(true);
   }
   
}
